org.springframework.messaging.tcp.reactor

## Interface ReactorNettyCodec<P>

Type Parameters:
  `P` - the message payload type

All Known Implementing Classes:
  AbstractNioBufferReactorNettyCodec, StompReactorNettyCodec

    public interface ReactorNettyCodec<P>

Simple holder for a decoding `Function` and an encoding `BiConsumer` to use with Reactor Netty.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<Message<P>>` `decode(io.netty.buffer.ByteBuf inputBuffer)` Decode the input `ByteBuf` into one or more `Messages`.
`void` `encode(Message<P> message, io.netty.buffer.ByteBuf outputBuffer)` Encode the given `Message` to the output `ByteBuf`.

### Method Detail

#### decode

    Collection<Message<P>> decode(io.netty.buffer.ByteBuf inputBuffer)

Decode the input `ByteBuf` into one or more `Messages`.

Parameters:
  `inputBuffer` - the input buffer to decode from
Returns:
  0 or more decoded messages

#### encode

    void encode(Message<P> message,
                io.netty.buffer.ByteBuf outputBuffer)

Encode the given `Message` to the output `ByteBuf`.

Parameters:
  `message` - the message to encode
  `outputBuffer` - the buffer to write to